# NOTE:
# - we could reuse gnome notification daemon if there is added xdg/autostart file with NotShowIn=GNOME:
#   http://git.gnome.org/browse/notification-daemon/commit/data?id=1ad20d22098bc7718614a8a87744a2c22d5438d0
#

Summary:	Notification daemon for MATE Desktop
Summary(pl.UTF-8):	Demon powiadomień dla środowiska MATE Desktop
Name:		mate-notification-daemon
Version:	1.28.3
Release:	1
License:	GPL v2+
Group:		Applications/System
Source0:	https://pub.mate-desktop.org/releases/1.28/%{name}-%{version}.tar.xz
# Source0-md5:	1e8dc6ea2e09c15fc4304a78bc68b2c5
URL:		https://wiki.mate-desktop.org/mate-desktop/components/mate-notification-daemon/
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.10
BuildRequires:	dbus-devel >= 0.78
BuildRequires:	desktop-file-utils
BuildRequires:	gdk-pixbuf2-devel >= 2.22.0
BuildRequires:	gettext-tools >= 0.19.8
BuildRequires:	glib2-devel >= 1:2.68.0
BuildRequires:	gtk+3-devel >= 3.22.0
BuildRequires:	gtk-layer-shell-devel
BuildRequires:	libcanberra-devel
BuildRequires:	libcanberra-gtk3-devel >= 0.4
BuildRequires:	libnotify-devel
BuildRequires:	libtool >= 2:2.2.6
BuildRequires:	libxml2-devel >= 1:2.9.0
BuildRequires:	libxml2-progs >= 1:2.9.0
BuildRequires:	libwnck-devel >= 3.0.0
BuildRequires:	mate-common
BuildRequires:	mate-desktop-devel >= 1.17.0
BuildRequires:	mate-panel-devel >= 1.17.0
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xz
Requires:	dbus >= 0.78
Requires:	gdk-pixbuf2 >= 2.22.0
Requires:	glib2 >= 1:2.68.0
Requires:	gsettings-desktop-schemas
Requires:	gtk+3 >= 3.22.0
Requires:	gtk-update-icon-cache
Requires:	hicolor-icon-theme
Requires:	libcanberra-gtk3 >= 0.4
Requires:	libxml2 >= 1:2.9.0
Provides:	dbus(org.freedesktop.Notifications)
Requires(post,postun):	/sbin/ldconfig
Suggests:	mate-applet-notification
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%if "%{_libexecdir}" == "%{_libdir}"
# NOTE: we must move %{_libexecdir}/mate-notification-daemon out of %{_libdir},
# because it conflicts with %{_libdir}/mate-notification-daemon plugin dir
# (unlike in mate-settings-daemon, we can use %{_libdir}/%{name} here - plugins exist in subdir)
%define		_libexecdir %{_libdir}/%{name}
%endif

%description
Notification daemon for MATE Desktop.

%description -l pl.UTF-8
Demon powiadomień dla środowiska MATE Desktop.

%package -n mate-applet-notification
Summary:	Notification Daemon applet for MATE Desktop
Summary(pl.UTF-8):	Aplet demona powiadomień dla środowiska MATE Desktop
Requires:	%{name} = %{version}-%{release}
Requires:	glib2 >= 1:2.68.0
Requires:	mate-desktop >= 1.17.0
Requires:	mate-panel-libs >= 1.17.0

%description -n mate-applet-notification
Notification Daemon applet for MATE Desktop.

%description -n mate-applet-notification -l pl.UTF-8
Aplet demona powiadomień dla środowiska MATE Desktop.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-icon-update \
	--disable-silent-rules \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/%{name}/engines/lib*.la
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/{frp,ie,ku_IQ}

desktop-file-install \
	--remove-category="MATE" \
	--add-category="X-Mate" \
	--delete-original \
	--dir=$RPM_BUILD_ROOT%{_desktopdir} \
	$RPM_BUILD_ROOT%{_desktopdir}/mate-notification-properties.desktop

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor
%glib_compile_schemas

%postun
%update_icon_cache hicolor
%glib_compile_schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/mate-notification-properties
%attr(755,root,root) %{_libexecdir}/mate-notification-daemon
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/engines
%attr(755,root,root) %{_libdir}/%{name}/engines/libcoco.so
%attr(755,root,root) %{_libdir}/%{name}/engines/libnodoka.so
%attr(755,root,root) %{_libdir}/%{name}/engines/libslider.so
%attr(755,root,root) %{_libdir}/%{name}/engines/libstandard.so
/etc/xdg/autostart/mate-notification-daemon.desktop
%{_datadir}/dbus-1/services/org.freedesktop.mate.Notifications.service
%{_datadir}/glib-2.0/schemas/org.mate.NotificationDaemon.gschema.xml
%{_desktopdir}/mate-notification-properties.desktop
%{_iconsdir}/hicolor/*/apps/mate-notification-properties.*
%{_mandir}/man1/mate-notification-properties.1*

%files -n mate-applet-notification
%defattr(644,root,root,755)
%attr(755,root,root) %{_libexecdir}/mate-notification-applet
%{_datadir}/dbus-1/services/org.mate.panel.applet.MateNotificationAppletFactory.service
%{_datadir}/mate-panel/applets/org.mate.applets.MateNotificationApplet.mate-panel-applet
%changelog
* Thu May 15 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mate-notification-daemon.git;a=log;h=master

* Thu May 15 2025 Jakub Bogusz <qboosh@pld-linux.org> a73d898
- updated to 1.28.3

* Tue Sep 24 2024 Jan Palus <atler@pld-linux.org> 88b3517
- up to 1.28.1

* Mon May 27 2024 Jakub Bogusz <qboosh@pld-linux.org> d445de1
- updated to 1.28.0

* Fri May 12 2023 Jakub Bogusz <qboosh@pld-linux.org> 7845935
- libxml2 epoch

* Fri May 12 2023 Jan Palus <atler@pld-linux.org> bf07424
- up to 1.26.1

* Fri May 12 2023 Jan Palus <atler@pld-linux.org> ead7085
- update deps

* Sat Aug 28 2021 Jakub Bogusz <qboosh@pld-linux.org> 10b2fc5
- updated URL

* Wed Aug 18 2021 Jan Palus <atler@pld-linux.org> 85e9390
- up to 1.26.0

* Tue Mar 23 2021 Jan Palus <atler@pld-linux.org> 1772777
- up to 1.24.2

* Thu Aug 13 2020 Jan Palus <atler@pld-linux.org> b494615
- up to 1.24.1

* Mon Feb 10 2020 Jan Palus <atler@pld-linux.org> c750b35
- up to 1.24.0

* Sat Sep 21 2019 Jan Palus <atler@pld-linux.org> 9a21568
- up to 1.22.1

* Tue May 21 2019 Jakub Bogusz <qboosh@pld-linux.org> a03011a
- more docs, kab locale is supported now

* Mon Mar 18 2019 Jan Palus <atler@pld-linux.org> 29a0c66
- up to 1.22.0

* Thu Dec 20 2018 Jan Palus <atler@pld-linux.org> 7acea8b
- up to 1.20.2

* Sun Dec 16 2018 Jakub Bogusz <qboosh@pld-linux.org> 725c680
- honour system _libexecdir setting

* Fri Jun 15 2018 Jan Palus <atler@pld-linux.org> 544672b
- up to 1.20.1

* Wed Feb 07 2018 Jan Palus <atler@pld-linux.org> dc6a342
- up to 1.20.0

* Wed Oct 25 2017 Jan Palus <atler@pld-linux.org> 6b86e25
- up to 1.18.1

* Wed Mar 15 2017 Jan Palus <atler@pld-linux.org> 0449579
- up to 1.18.0

